### Hierarchy

- IModelCreationData

## Index

### Properties

- collection
- initialData
- modelId
- overrideCollectionWorldPermissions
- userPermissions
- worldPermissions

## Properties

### collection

collection: string

The collection in which this model will live.

### initialData

initialData: IObjectValue

The data the model was created with.

### modelId

modelId: string

The model's unique id.

### OptionaloverrideCollectionWorldPermissions

overrideCollectionWorldPermissions: boolean

Set to true if the permissions set in this object should override those set in the parent collection.

### OptionaluserPermissions

userPermissions: object

Per-user permissions can be set here, where the key is an existing user's username.

#### Type declaration

- ##### [username: string]: ModelPermissions

### OptionalworldPermissions

worldPermissions: ModelPermissions

Generic permissions for this model for all users.